Subject: bug#28064: closed (Re: bug#28064: eshell-cmpl should not auto-complete ~/./)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 19 Mar 2023 02:59:02 +0000

Your bug report

#28064: eshell-cmpl should not auto-complete ~/./

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28064: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=28064
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28064: eshell-cmpl should not auto-complete ~/./
From: Jim Porter <[email-masked]>
To: Yegor Timoshenko <[email-masked]>, [email-masked]
Date: Sat, 18 Mar 2023 19:58:20 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 3/12/2023 12:02 AM, Jim Porter wrote:
> Attached is a fix. Normally I'd write a regression test for this, but I 
> haven't come up with a good way to do this without messing up the user's 
> real home directory...

Merged as 6afa91f7966. Closing this now.

Subject: eshell-cmpl should not auto-complete ~/./
From: Yegor Timoshenko <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 12 Aug 2017 13:44:48 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

GNU Emacs 25.2.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.22.16)
 of 2017-08-09

To reproduce:

M-x eshell
Type `cd ~/.` and press TAB.

It will auto-complete to `cd ~/./`. I don't think it's useful.